/*
 * @file
 * js file to load silimar titles on leaving the title field while adding new content.
 */

Drupal.behaviors.similarTitlesBehavior = function(context) {
  $('#ajax-title-div input').bind('keyup input paste', function() {
    var title = this.value;
    // getting base path defined in alter form
    var basep = $('#ajax-title-div span.base_path').html();
    // getting type of node being created
    var type = $('#ajax-title-div span.type').html();
    $.ajax({
      // ajax callback defined in .module file
      url: basep + "node/ajax/title",
      cache: false,
      type: 'post',
      data: {
        title: title,
        type: type
      },
      success: function(data) {
        $('#ajax-title-div #ajax-title-container').html('');
        $('#ajax-title-div #ajax-title-container').removeClass('ajax-title-container');
        // checking if duplicate content exists
        if (data) {
          $('#ajax-title-div #ajax-title-container').addClass('ajax-title-container');
          $('#ajax-title-div #ajax-title-container').html(data);
          // clicking on close icon
          $('.ajax-title-div-close a').click(function() {
            $('#ajax-title-div #ajax-title-container').removeClass('ajax-title-container');
            $('#ajax-title-div #ajax-title-container').html('');
          });
        }
      }
    });
  });
};
